# SCCS: @(#)charmatch.s	1.1  1/26/90
#
# A "shortest unique identifier" match.  If an input string matches
#  no output string, return NA.  If it is an ambiguous match, return 0.
#  Otherwise return the index of the match.
# Exception: if the target string contains "log" and "logistic", and the
#  user type "lo" it is ambiguous, but if he types "log" consider it a
#  perfect match.
#
charmatch <- function( inputs, target) {
    if (!(is.character(inputs) && is.character(target)))
	stop ("Input must be character strings")

    if (len(inputs) <1) return(NULL)
    if (len(target) <1) return(rep(NA, len(inputs)))

    temp <- .C("charmatch", inputs, len(inputs), target, len(target),
		   result=integer(len(inputs)))

    ifelse(temp$result<0, NA, temp$result)
    }
