/*
 *  R : A Computer Langage for Statistical Data Analysis
 *  Copyright (C) 1995, 1996  Robert Gentleman and Ross Ihaka
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "Graphics.h"

void GText(char *str, double xc, double yc)
{
	if(str && *str)
		if(DP->canClip) {
			GClip();
			DevText(str, xc, yc);
		}
		else {
			if(GP->xpd || (GP->plt[0] <= DP->xlast && DP->xlast <= GP->plt[1] &&
				GP->plt[2] <= DP->ylast && DP->ylast <= GP->plt[3]))
			DevText(str, xc, yc);
		}
}

void GRText(char *str, double xc, double yc, double rot)
{
	if(str && *str)
		if(DP->canClip) {
			GClip();
			DevRText(str, xc, yc, (int)rot);
		}
		else {
			if(GP->xpd || (GP->plt[0] <= DP->xlast && DP->xlast <= GP->plt[1] &&
				GP->plt[2] <= DP->ylast && DP->ylast <= GP->plt[3]))
			DevRText(str, xc, yc, (int)rot);
		}
}
